Bug 689 - samba does not compile on itanium hp-ux 11.23 (64 bit) using gcc
samba does not compile on itanium hp-ux 11.23 (64 bit) using gcc
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
Other HP-UX
: P1 major
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 06:47 UTC by Donny Jekels
Modified: 2005-08-24 10:27 UTC (History)
0 users

See Also:


Attachments
apply username mapping to krb5 logins (1.20 KB, patch)
2003-11-04 11:47 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Donny Jekels 2003-10-27 06:47:51 UTC
/usr/local/include/compat.h:6:2: warning: #warning "This header is obsolete, 
use ap_compat.h instead"
Compiling tdb/tdbutil.c
In file included from include/includes.h:337,
                 from tdb/tdbutil.c:21:
/usr/local/include/compat.h:6:2: warning: #warning "This header is obsolete, 
use ap_compat.h instead"
In file included from /usr/local/include/fnmatch.h:38,
                 from tdb/tdbutil.c:22:
/usr/local/include/ap_config.h:245: conflicting types for `rlim_t'
/usr/local/lib/gcc-lib/ia64-hp-hpux11.23/3.0/include/sys/types.h:347: previous 
declaration of `rlim_t'
tdb/tdbutil.c: In function `make_tdb_data':
tdb/tdbutil.c:45: warning: assignment discards qualifiers from pointer target 
type
tdb/tdbutil.c: In function `tdb_chainlock_with_timeout_internal':
tdb/tdbutil.c:59: warning: passing arg 1 of `tdb_set_lock_alarm' discards 
qualifiers from pointer target type
tdb/tdbutil.c: In function `tdb_unpack':
tdb/tdbutil.c:526: warning: cast to pointer from integer of different size
gmake: *** [tdb/tdbutil.o] Error 1
Comment 1 Gerald (Jerry) Carter 2003-11-04 11:47:48 UTC
Created attachment 237 [details]
apply username mapping to krb5 logins
Comment 2 Gerald (Jerry) Carter 2003-11-04 11:48:40 UTC
try this patch.  Should apply cleanly to 3.0.0 
and the current 3.0 CVS tree.  Let me know if 
it works and I will commit it for 3.0.1.  Thanks.
Comment 3 Gerald (Jerry) Carter 2003-11-04 19:39:58 UTC
doh!  committed patch to wrong bug.

but the issues with compat.h have been resolved.
Passing off to tpot 
Comment 4 Tim Potter 2003-11-05 06:40:35 UTC
Since compat.h is no longer included, I think this bug is fixed.  Donny, please
reopen if you are still seeing problems.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:27:20 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.